grammofix in user-facing messages

Signed-off-by: Alex Henrie <alexhenrie24@gmail.com> Acked-by: Johan Herland <johan@herland.net> Signed-off-by: Junio C Hamano <gitster@pobox.com>

Alex Henrie committed Aug 30, 2014 at 13:56 UTC ad5fe3771b50f3862130d150b5cc8bb316ef6f1c
8 files changed +10 -10
builtin/commit.c
+1 -1
@@ -1778,7 +1778,7 @@ int cmd_commit(int argc, const char **argv, const char *prefix)
1778
1779 if (commit_index_files())
1780 die (_("Repository has been updated, but unable to write\n"
1781 - "new_index file. Check that disk is not full or quota is\n"
1781 + "new_index file. Check that disk is not full and quota is\n"
1782 "not exceeded, and then \"git reset HEAD\" to recover."));
1783
1784 rerere(0);
builtin/ls-files.c
+1 -1
@@ -474,7 +474,7 @@ int cmd_ls_files(int argc, const char **argv, const char *cmd_prefix)
474 OPT_BOOL('k', "killed", &show_killed,
475 N_("show files on the filesystem that need to be removed")),
476 OPT_BIT(0, "directory", &dir.flags,
477 - N_("show 'other' directories' name only"),
477 + N_("show 'other' directories' names only"),
478 DIR_SHOW_OTHER_DIRECTORIES),
479 OPT_NEGBIT(0, "empty-directory", &dir.flags,
480 N_("don't show empty directories"),
builtin/merge.c
+2 -2
@@ -1144,14 +1144,14 @@ int cmd_merge(int argc, const char **argv, const char *prefix)
1144 */
1145 if (advice_resolve_conflict)
1146 die(_("You have not concluded your merge (MERGE_HEAD exists).\n"
1147 - "Please, commit your changes before you can merge."));
1147 + "Please, commit your changes before you merge."));
1148 else
1149 die(_("You have not concluded your merge (MERGE_HEAD exists)."));
1150 }
1151 if (file_exists(git_path("CHERRY_PICK_HEAD"))) {
1152 if (advice_resolve_conflict)
1153 die(_("You have not concluded your cherry-pick (CHERRY_PICK_HEAD exists).\n"
1154 - "Please, commit your changes before you can merge."));
1154 + "Please, commit your changes before you merge."));
1155 else
1156 die(_("You have not concluded your cherry-pick (CHERRY_PICK_HEAD exists)."));
1157 }
builtin/notes.c
+1 -1
@@ -211,7 +211,7 @@ static void create_note(const unsigned char *object, struct msg_arg *msg,
211 if (write_sha1_file(msg->buf.buf, msg->buf.len, blob_type, result)) {
212 error(_("unable to write note object"));
213 if (path)
214 - error(_("The note contents has been left in %s"),
214 + error(_("The note contents have been left in %s"),
215 path);
216 exit(128);
217 }
builtin/rm.c
+1 -1
@@ -65,7 +65,7 @@ static void error_removing_concrete_submodules(struct string_list *files, int *e
65 Q_("the following submodule (or one of its nested "
66 "submodules)\n"
67 "uses a .git directory:",
68 - "the following submodules (or one of its nested "
68 + "the following submodules (or one of their nested "
69 "submodules)\n"
70 "use a .git directory:", files->nr),
71 _("\n(use 'rm -rf' if you really want to remove "
git-bisect.sh
+2 -2
@@ -286,11 +286,11 @@ bisect_next_check() {
286
287 if test -s "$GIT_DIR/BISECT_START"
288 then
289 - gettextln "You need to give me at least one good and one bad revisions.
289 + gettextln "You need to give me at least one good and one bad revision.
290 (You can use \"git bisect bad\" and \"git bisect good\" for that.)" >&2
291 else
292 gettextln "You need to start by \"git bisect start\".
293 -You then need to give me at least one good and one bad revisions.
293 +You then need to give me at least one good and one bad revision.
294 (You can use \"git bisect bad\" and \"git bisect good\" for that.)" >&2
295 fi
296 exit 1 ;;
git-stash.sh
+1 -1
@@ -394,7 +394,7 @@ parse_flags_and_rev()
394
395 REV=$(git rev-parse --quiet --symbolic --verify "$1" 2>/dev/null) || {
396 reference="$1"
397 - die "$(eval_gettext "\$reference is not valid reference")"
397 + die "$(eval_gettext "\$reference is not a valid reference")"
398 }
399
400 i_commit=$(git rev-parse --quiet --verify "$REV^2" 2>/dev/null) &&
git.c
+1 -1
@@ -14,7 +14,7 @@ const char git_usage_string[] =
14 " <command> [<args>]";
15
16 const char git_more_info_string[] =
17 - N_("'git help -a' and 'git help -g' lists available subcommands and some\n"
17 + N_("'git help -a' and 'git help -g' list available subcommands and some\n"
18 "concept guides. See 'git help <command>' or 'git help <concept>'\n"
19 "to read about a specific subcommand or concept.");
20